function calculate(rub,ser_per_wmr) {
    $('#res_sum').html( (rub * ser_per_wmr).toFixed(0) );
}
function PaymentSum(ser_per_wmr){
    var sum = parseFloat(document.getElementById('sum').value);
    if(sum == NaN){
        document.getElementById('res_sum').value = ('0').toFixed(3);
    }else{
        document.getElementById('res_sum').value = (sum/ser_per_wmr).toFixed(3);
    }
}
function GetSumPer(percent_swap){
    var sum = parseInt(document.getElementById("sum").value);
    var add_sum = 0;
    if(sum > 0){
        add_sum = (percent_swap / 100) * sum;
    }
    document.getElementById("res_sum").innerHTML = Math.round(sum+add_sum);
}
function showFrame(div, link) {
  window.open('/account/serfing/view/'+link, '_blank');
  $(div).parent().parent().parent().parent().addClass("surfblockopen");
}
$(document).on('click', '.workbug',function() {
        var id = $(this).attr('data');
        var url = '/ajax.php?action=sendbug';
        var data = {'id': id};
        swal({
            title: "Подать жалобу?",
            text: "Вы хотите подать жалобу на ссылку #"+id+"?",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        }).then((willDelete) => {
        if (willDelete) {
            $.post(url,data,function(o) {
                swal(o.description, {
                    icon: o.status
                });
            },'json');
        }else{
            swal("Вы передумали!");
        }
    });  
    return false;
});

function SbmForm() {
    if (document.forms['surforder'].title.value == '') {
        alert('Вы не указали заголовок ссылки');
        document.forms['surforder'].title.focus();
        return false;
    }

    if (document.forms['surforder'].rule.value == '') {
        alert('Вы не согласились с правилами');
        document.forms['surforder'].rule.focus();
        return false;
    }

    if ((document.forms['surforder'].url.value == '')|(document.forms['surforder'].url.value == 'http://')) {
        alert('Вы не указали URL-адрес ссылки');
        document.forms['surforder'].url.focus();
        return false;
    }
    
    document.forms['surforder'].submit();
    return true;
}
$(document).on('click', '#drwebscanformURL',function(){
    var left = (screen.width - 640)/2
    var top =  (screen.height - 400)/2
    var url = 'https://online.drweb.com/result/?url=' +$(this).attr('data');
    console.log(url);
    window.open(url, "scan", "width=640"+
                 ",height=400,left="+left+
                 ",top="+top+",scrollbars=no,resizable=yes")
    document.getElementById( "drwebscanformURL" ).target = "scan";
    return true;
});
/*window.onload = function () {
    console.log(ymaps.geolocation.city);
    console.log(ymaps.geolocation.region);
    console.log(ymaps.geolocation.country);	  
}*/
$(document).ready(function() {
    if($("select").is("#country")){
        var url = "/ajax.php?action=gettarget";
        var country = $("#country").attr("country");
        var str = "";
        var data = {'country': country};
        $.post(url, data, function(o) {
            if (o.status = "success"){
                $.each(o.country, function(index, value) {
                    if(country === value){
                        str = "selected";
                    }
                    $("#country").append('<option value="'+value+'" '+str+'>'+value+'</option>');
                    str = "";
                });
            }
        }, 'json');
        return false;
    }
});